/*----- PROTECTED REGION ID(E2QuadrupoleStateMachine.cpp) ENABLED START -----*/
/* clang-format on */
//=============================================================================
//
// file :        E2QuadrupoleStateMachine.cpp
//
// description : State machine file for the E2Quadrupole class
//
// project :     Elettra 2.0 pure corrector magnet device
//
// This file is part of Tango device class.
//
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
//
//
// Elettra - Sincrotrone Trieste S.c.p.A.
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include "E2Quadrupole.h"

/* clang-format off */
/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::E2QuadrupoleStateMachine.cpp

//================================================================
//  States  |  Description
//================================================================


namespace E2Quadrupole_ns
{
//=================================================
//		Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method     : E2Quadrupole::is_Strength_allowed()
 *	Description: Execution allowed for Strength attribute
 */
//--------------------------------------------------------
bool E2Quadrupole::is_Strength_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for Strength attribute in Write access.
	/*----- PROTECTED REGION ID(E2Quadrupole::StrengthStateAllowed_WRITE) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::StrengthStateAllowed_WRITE

	//	Not any excluded states for Strength attribute in read access.
	/*----- PROTECTED REGION ID(E2Quadrupole::StrengthStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::StrengthStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : E2Quadrupole::is_CorrectionStrength_allowed()
 *	Description: Execution allowed for CorrectionStrength attribute
 */
//--------------------------------------------------------
bool E2Quadrupole::is_CorrectionStrength_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for CorrectionStrength attribute in Write access.
	/*----- PROTECTED REGION ID(E2Quadrupole::CorrectionStrengthStateAllowed_WRITE) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::CorrectionStrengthStateAllowed_WRITE

	//	Not any excluded states for CorrectionStrength attribute in read access.
	/*----- PROTECTED REGION ID(E2Quadrupole::CorrectionStrengthStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::CorrectionStrengthStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : E2Quadrupole::is_ResonanceStrength_allowed()
 *	Description: Execution allowed for ResonanceStrength attribute
 */
//--------------------------------------------------------
bool E2Quadrupole::is_ResonanceStrength_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for ResonanceStrength attribute in Write access.
	/*----- PROTECTED REGION ID(E2Quadrupole::ResonanceStrengthStateAllowed_WRITE) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::ResonanceStrengthStateAllowed_WRITE

	//	Not any excluded states for ResonanceStrength attribute in read access.
	/*----- PROTECTED REGION ID(E2Quadrupole::ResonanceStrengthStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::ResonanceStrengthStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : E2Quadrupole::is_Current_allowed()
 *	Description: Execution allowed for Current attribute
 */
//--------------------------------------------------------
bool E2Quadrupole::is_Current_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for Current attribute in Write access.
	/*----- PROTECTED REGION ID(E2Quadrupole::CurrentStateAllowed_WRITE) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::CurrentStateAllowed_WRITE

	//	Not any excluded states for Current attribute in read access.
	/*----- PROTECTED REGION ID(E2Quadrupole::CurrentStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::CurrentStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : E2Quadrupole::is_BeamEnergy_allowed()
 *	Description: Execution allowed for BeamEnergy attribute
 */
//--------------------------------------------------------
bool E2Quadrupole::is_BeamEnergy_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for BeamEnergy attribute in Write access.
	/*----- PROTECTED REGION ID(E2Quadrupole::BeamEnergyStateAllowed_WRITE) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::BeamEnergyStateAllowed_WRITE

	//	Not any excluded states for BeamEnergy attribute in read access.
	/*----- PROTECTED REGION ID(E2Quadrupole::BeamEnergyStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::BeamEnergyStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : E2Quadrupole::is_DesignStrength_allowed()
 *	Description: Execution allowed for DesignStrength attribute
 */
//--------------------------------------------------------
bool E2Quadrupole::is_DesignStrength_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for DesignStrength attribute in Write access.
	/*----- PROTECTED REGION ID(E2Quadrupole::DesignStrengthStateAllowed_WRITE) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::DesignStrengthStateAllowed_WRITE

	//	Not any excluded states for DesignStrength attribute in read access.
	/*----- PROTECTED REGION ID(E2Quadrupole::DesignStrengthStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::DesignStrengthStateAllowed_READ
	return true;
}


//=================================================
//		Commands Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method     : E2Quadrupole::is_Reset_allowed()
 *	Description: Execution allowed for Reset attribute
 */
//--------------------------------------------------------
bool E2Quadrupole::is_Reset_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Reset command.
	/*----- PROTECTED REGION ID(E2Quadrupole::ResetStateAllowed) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::ResetStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : E2Quadrupole::is_ResetResonanceStrength_allowed()
 *	Description: Execution allowed for ResetResonanceStrength attribute
 */
//--------------------------------------------------------
bool E2Quadrupole::is_ResetResonanceStrength_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for ResetResonanceStrength command.
	/*----- PROTECTED REGION ID(E2Quadrupole::ResetResonanceStrengthStateAllowed) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::ResetResonanceStrengthStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : E2Quadrupole::is_ApplyDesignStrength_allowed()
 *	Description: Execution allowed for ApplyDesignStrength attribute
 */
//--------------------------------------------------------
bool E2Quadrupole::is_ApplyDesignStrength_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for ApplyDesignStrength command.
	/*----- PROTECTED REGION ID(E2Quadrupole::ApplyDesignStrengthStateAllowed) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::ApplyDesignStrengthStateAllowed
	return true;
}


/*----- PROTECTED REGION ID(E2Quadrupole::E2QuadrupoleStateAllowed.AdditionalMethods) ENABLED START -----*/
/* clang-format on */
//	Additional Methods
/* clang-format off */
/*----- PROTECTED REGION END -----*/	//	E2Quadrupole::E2QuadrupoleStateAllowed.AdditionalMethods

}	//	End of namespace
